%Profile
clear
clc

%High of laser 5 (the one for WL in the profile measurement)in centimeters
%(direct read)
a5=...;
%the one in lasers 1 to 4 should be:
a14=a5-3.85;
%the constant for the conversion to centimeters from voltage is:
c=-a5+70.1;

%Open files
fileV='130214PV08.ASC';

dataV = textread(fileV,'','delimiter',';','headerlines',7);
nrows=size(dataV,1);
ncolumns=size(dataV,2);
lengthh = length(dataV);

%Conversion pulse into meters 9939 puls = 1m
x  = 1/9939*dataV(:,1); 
   %9392=distance between lasers 1-4 and 5, necessary for displacement
xD= x(1:lengthh-9392+1);
dx = x(2) - x(1); f = 1/dx;

% startmain = 26800;
% stopmain  = 27400;
%startmain = 1;
%stopmain  = 1;

%start=1;
%stop=lengte;
% start=6500;
% stop=30000;

%l1 = 21.455 - 2.5*(data(start:stop, 2));
%l2 = 21.49 - 2.5*(data(start:stop, 3));
%l3 = 21.54 - 2.5*(data(start:stop, 4));
%l4 = 21.54 - 2.5*(data(start:stop, 5));
%l5 = 21.575 - 2.5*(data(start:stop, 6));

l1V=dataV(:,2);
l2V=dataV(:,3);
l3V=dataV(:,4);
l4V=dataV(:,5);
l5V=dataV(:,6);

%Displacement of the water level measurement. The first meter of
%observation of the bed level cannot be computed because the measurement of
%the water level beggins one meter after. 
l1VD=l1V(9392:lengthh);
l2VD=l2V(9392:lengthh);
l3VD=l3V(9392:lengthh);
l4VD=l4V(9392:lengthh);
l5VD=l5V(1:(lengthh-9392+1));

%Conversion to `REAL` voltage taking into account the water level
l1VR=l5VD+(l1VD-l5VD)*1.3;
l2VR=l5VD+(l2VD-l5VD)*1.3;
l3VR=l5VD+(l3VD-l5VD)*1.3;
l4VR=l5VD+(l4VD-l5VD)*1.3;

%Conversion to centimeters

l1CM=-2.5*l1VR+c;
l2CM=-2.5*l2VR+c;
l3CM=-2.5*l3VR+c;
l4CM=-2.5*l4VR+c;
l5CM=+2.5*l5VD+0.9;

%lengtes = length(l1);
%fprintf( 1, ' %s\n', [ 'Meting: ' filenaam ] ) ; 
%fprintf( 1, ' Range l            = %15.5f\n',   range(l1) ) ;

%s_l1_v  = num2str(range(l1));  s_l1  = [' l1  range = ' s_l1_v ' cm'];
%s_l2_v  = num2str(range(l2));  s_l2  = [' l2  range = ' s_l2_v ' cm'];
%s_l3_v  = num2str(range(l3));  s_l3  = [' l3  range = ' s_l3_v ' cm'];
%s_l4_v  = num2str(range(l4));  s_l4  = [' l4  range = ' s_l4_v ' cm'];


figure(1)
plot(x,l1V,'r','LineWidth',1); hold on;
plot(x,l2V,'k','LineWidth',1);
plot(x,l3V,'b','LineWidth',1);
plot(x,l4V,'g','LineWidth',1);
plot(x,l5V,'y','LineWidth',1);

legend('l1V','l2V','l3V','l4V','l5V');
title([ 'File: ' fileV ]);
ylabel('[ V ]');
xlabel(' Distance [ m ] ');
hold off;

figure(2)
plot(xD,l1CM,'r','LineWidth',1); hold on;
plot(xD,l2CM,'k','LineWidth',1);
plot(xD,l3CM,'b','LineWidth',1);
plot(xD,l4CM,'g','LineWidth',1);
plot(xD,l5CM,'y','LineWidth',1);

legend('l1CM','l2CM','l3CM','l4CM','l5CM');
title([ 'Bed level File: ' fileV  ]);
ylabel('[ cm ]');
xlabel(' Distance [ m ] ');
hold off;

%set(h,'Interpreter','none');
%title([ 'Meting: ' filenaam ]);
%ylabel('[ cm ]');
%xlabel(' Afstand [ m ] ');
